import java.time.LocalDate;



public class Person {

    String name;
    LocalDate birthday;
    String gender;
    String emailAddress;


    public Person(String emailAddress) {
        this.emailAddress = emailAddress;
    }

    public Person(String name, String emailAddress) {
        this.name = name;
        this.emailAddress = emailAddress;
    }
    public Person(String name, String emailAddress, LocalDate birthday) {
        this.name = name;
        this.emailAddress = emailAddress;
        this.birthday = birthday;
    }

    public void printPerson() {
        System.out.println(String.format("Name: %s | Email: %s | Gender: %s | Birthday: " + birthday.toString(), name, emailAddress, gender));
    }

    public void setName (String newName) {
        this.name = newName;
    }
    public String getName() {
        return name;
    }
    public void setBirthday (LocalDate birthday) {
        this.birthday = birthday;
    }
    public LocalDate getBirthday() {
        return birthday;
    }
    public void setGender(String gender) {
        this.gender = gender;
    }
    public String getGender() {
        return gender;
    }
    public void setEmailAddress(String emailAddress) {
        this.emailAddress = emailAddress;
    }
    public String getEmailAddress() {
        return emailAddress;
    }


}
